Upgrade problem on Vista x64

Topics: Web Client Software Factory, Project Management Forum, User Forum
Jun 21, 2007 at 10:15 AM
Hi,

I had WCSF Jan 2007 well installed and it was working fine with minor bugs. Then, I decided to make the upgrade to June 2007 release, but I'm having some problems.

When I do the "check dependencies" task, it doesn't recognize the following programs, which are all installed:
  • Visual Studio SP1;
  • GAE;
  • EntLib 3.1;
  • GAT;

I already restarted my laptop several times, but without any success.
I'm running on a Vista x64 OS, with Visual Studio 2005 SP1.

Does it ring a bell to anyone?

Thanks,

Miguel Figueiredo




Jun 21, 2007 at 8:04 PM
Edited Jun 21, 2007 at 8:05 PM
Hi Miguel,

There is a known issue with the dependency checker not recognizing GAX and GAT on 64bits. Since you do have GAX installed, you can continue the WCSF installation without paying attention to the dependency checker, and it should work fine. For further info about how to solve this, here’s a blog post that can be helpful http://joshmouch.wordpress.com/2007/06/11/installing-mobile-client-software-factory-on-vista-x64/ .

Hope it helps!

Luciano G. Panaro
http://staff.southworks.net/blogs/lpanaro
Apr 2, 2009 at 5:14 PM
Almost two years later, and I appear to be running into the same issue on Server 2008 x64 (SP1). I followed instructions at the link as best I could (changing VisualStudio\8.0\ to VisualStudio\9.0\ ), but never could get VS2008 to appear as installed in the dependency checker. The "Web Client Factory" menu never appears when right-clicking in the solution explorer. Is there a solution to this?
Apr 3, 2009 at 9:28 PM

Hi,

This was a common problem when you wanted to run the Guidance Package for Visual Studio 2005 on Visual Studio 2008.

One year ago, a new WCSF version was released and it has support out-of-the-box to run over Visual Studio 2008 directly. You can try running this version, you should not have problems with it:

·         Web Client Software Factory - February 2008

 

The version of GAX that works with that version of the software factory can be downloaded here:

·         Guidance Automation Extensions - February 2008 Release

 

Please, let me know if this helps.

 

Ezequiel Sculli

http://blogs.southworks.net/esculli/

Apr 3, 2009 at 11:35 PM
Those ARE the versions I am attempting to use.
Apr 22, 2009 at 8:20 PM
I have still been unable to get the February 2008 version of the web client software factory to correctly detect Visual Studio 2008 SP1 and the February 2008 GAX (with or without the SP1 update) on Windows Server 2008 x64. Has anyone else encountered this problem and found a reasonable workaround?